\ 3iMusic-scales.fs
\ Assad Ebrahim


\ for core creation words see help-scales or 3iSound-4x4.fs

\ WESTERN SCALES

create fmaj8  C_ D_ E_ F_ G_ A_ B%_ C'  8 save-scale
: fmaj  
    cr ." F major - 1 flat B%"
    cr 
    fmaj8 load-scale ;
: 1flat fmaj ;

create b%maj8 C_ D_ E%_ F_ G_ A_ B%_ C' 8 save-scale
: b%maj 
    cr ." B% major - 2 flats B% E%"
    cr
    b%maj8 load-scale ;
: 2flats  b%maj ;

create e%maj8   C_ D_ e%_ f_ g_ a%_ b%_ c'       8 save-scale
: e%maj  
    cr ." E% major - 3 flats  B% E% A%"
    cr 
    e%maj8  load-scale ;
: 3flats e%maj ;


create a%maj8   C_ d%_ e%_ f_ g_ a%_ b%_ c'       8 save-scale
: a%maj  
    cr ." A% major - 4 flats  B% E% A% D%"
    cr 
    a%maj8  load-scale ;
: 4flats a%maj ;

create a%maj8C   c_ e%_ f_ g_ a%_ b%_ c' d%'       8 save-scale
: a%majA  a%maj8c  load-scale ;
: 4flats-stairway a%majA ;  \ starts at f but include low c for stairway to heaven
\ repertoire: stairway to heaven on 3, or back to life on 1


\ 5flats is Db major - tuned on A -- five flats on D, E, G, A, B) with only C and F undecorated
\ It is close to todi raga scale key but with F/F# and G%/G
create d%maj8   C_ d%_ e%_ f_ g%_ a%_ b%_ c'      8 save-scale
: d%maj 
    cr ." D% major - 5 flats B% E% A% D% G%"
    cr
    d%maj8 load-scale ;
: 5flats d%maj ;
: 5flats-dream  
    cr ." cycles d%maj two notes to start at a%_"  \ Note - this is NOT -4 semitones transposition of d%maj
    cr ."    for: I have a dream"
    cr ."    (a%__ b%__ C_ d%_ e%_ F_ g%_ a%_)"
    cr 
    d%maj8 7 2 cycle-scale ;





\ Cmaj8 starts on G  She'll be coming round the mountain when she comes...   O! Susanna (start on 3)
create cmaj8      G__ A__ C_ D_ E_ G_ A_ C'          8  save-scale
: cmaj  cmaj8 load-scale ;                          
                                                    
create dmin8      D_ E_ F_ G_ A_ b%_ c#' D'          8 save-scale
: dmin  dmin8 load-scale ;                          
                                                    
                                                    
\ NON-WESTERN SCALES (with equal-tempered notes)

create irish8     c_ e%_ f_ g_ a_ b%_ c' d'          8 save-scale
: irish  irish8 load-scale ;                        
                                                                        
create phyrigian8 e_ f_ g_ a_ b_ c' d' e'            8 save-scale
: phyrigian  phyrigian8 load-scale ;

\ INDIAN SCALES: Sa Re Ga Ma Pa Dha Ni Sa
\ Source: Special Topics in Music Theory, by Catherine Schmidt-Jones, Ch. 3.5 Indian Classical Music: Tuning and Ragas
\   https://cnx.org/contents/mviDomhA@5.66:bDLyHWWs@16/Indian-Classical-Music-Tuning-and-Ragas
\ A "that" is a scale of 7 notes -- why 7?  (7 celestial bodies - Sun, Moon, Mercury, Venus, Mars, Jupiter and Saturn)
\ Aside: 7 days a week: Babylonians of the 6th century... https://www.discovermagazine.com/planet-earth/why-are-there-seven-days-in-a-week
\ A raga chooses five, six, or all 7 notes of the that, and sticks to that, i.e. pentatonic raga, hexatonic raga, or full raga

\ FULL RAGAS
\ bhairav = full raga with two flats on D and A     NO EQUIVALENT WESTERN MAJOR SCALE
\ also arabic maqam - Hijaz Kar maqam - https://www.pianoscales.org/maqams.html
\ Arabic Maqam scales: https://www.traditionalarabicmusic.com/Music%20Structure/Quarter%20tone.htm
create     bhairav8   C_  d%_  E_  F_  G_  a%_  B_  C'  8 save-scale   \ 1 2 5 6   8 9 12 13
: bhairav  bhairav8 load-scale ;
: hijaz-kar bhairav ; \ arabic maqam
: byzantine bhairav ;

create     bhairavG8  G__ a%__ B__ C_  D_  e%_  f#_  G_  8 save-scale  \ transposed 5 semitones down to G
: bhairavG bhairavG8 load-scale ;

\ khamaj = raga with 1 flat on B                    EQUIVALENT TO F MAJOR
create   fmaj8  C_   D_   E_   F_   G_   A_   b%_   C'  8 save-scale
: fmaj   fmaj8 load-scale ;
: khamaj fmaj ;

\ kafi  = raga with two flats on B and E            EQUIVALENT TO B%-MAJ   ex: unchaare kot 3rd note, aaj aanand 1st note, and scarborough fair
create  b%maj8   C_   D_   e%_   F_   G_   A_   b%_   C'   8 save-scale
: b%maj b%maj8 load-scale ;
: kafi  b%maj ;

\ asavari  = raga with three flats on B, E, A       EQUIVALENT TO E%-MAJ
create     e%maj8 b%__ c_ d_ e%_ f_ g_ a%_ b%_  8 save-scale  \ 1st key on b%  stairway-to-heaven
: e%maj    e%maj8 load-scale ; 
create     asavari8  C_ D_ e%_ F_ G_ a%_ b%_ C' 8 save-scale
: asavari  asavari8 load-scale ; 

\ bhairavi  = raga with four flats on B, E, A, D    EQUIVALENT TO A%-MAJ
create      a%maj8  C_   d%_   e%_   F_   G_   a%_   b%_   C'  8 save-scale
: a%maj     a%maj8 load-scale ;
: bhairavi  a%maj ;

\ kalyan  = raga with 1 sharp on F   WESTERN: G MAJOR
create   gmaj8   C_    C_    E_    f#_    G_    A_    B_    C'  8 save-scale
: gmaj   gmaj8 load-scale ;
: kalyan gmaj ; 

\ purvi   = raga with 1 sharp on F and two flats on D and A,    NO EQUIVALENT WESTERN MAJOR SCALE   ex: "back to life, back to reality"
            \  (close to A-MAJOR although the 3 decorated notes are also 3 sharps on F, C, G,  the scale also has C and G natural)
create purvi8   C_    d%_     E_    f#_    G_    a%_    B_    C' 8 save-scale
: purvi  purvi8 load-scale ; 
   
\ todi  = it's a bhairavi raga (four flats on B, E, A, D ) with additionally 1 sharp on F  NO EQUIVALENT IN WESTERN SCALE
            \ (close to D%-MAJ  -- the f# is taken as G%, but also preserves the G natural )
create todi8   a%__   b%__   C_     d%_    e%_     f#_     G_     A%_  8 save-scale  \ starting at A%
: todi  todi8 load-scale ;
create todiC8   C_    d%_    e%_    f#_    G_    a%_    b%_    C'   8 save-scale
: todiC  todiC8 load-scale ;

\ bilawal = =raga with no flats or sharps, ex: abadoo (on C) and doh-a-deer  \ Western C-major 
create bilawal8  G__ A__ B__ C_ D_ E_ F_ G_  8 save-scale  \ transposed to G  ex: abadoo starting on 4
: bilawal bilawal8  load-scale ; 


\ ALGERIAN: https://www.pianoscales.org/algerian.html
\ Example algerian electric guitar: https://www.guitar9.com/column/why-does-scale-sound-exotic
\  2 1 2  1 1 1  3 1
create algerian8  ( D_ ) E_ F_ G_ A%_ A_ B%_ C#' D'  8 save-scale
: algerian  algerian8 load-scale ;

\ Arabic Music: http://www.maqamworld.com/en/index.php
\ Arabic & N. African music require quarter tones for proper intonation
\ Quarter-tone guitar: https://www.revelationguitars.co.uk/guitar/marrakesh-quarter-tone/
\ Jins (Notes) and Maqams (Scales)
\ JINS: http://www.maqamworld.com/en/jins.php
create hijaz8  D_ E%_ F#_ G_   A_ B%_ C#' D' 8 save-scale  \ 1 3 1 2
: jins-hijaz hijaz8 load-scale ;
create kurd8 D_ E%_ F_ G_   A_ B%_ C' D' 8 save-scale    \ 1 1.5 .5 2   \ 2nd note tuned high, third note tuned low
: jins-kurd  kurd8 load-scale ;
create lami8 D_ E%_ F_ G_   A%_ B%_ C' D' 8 save-scale
: jins-lami lami8 load-scale ;

create selisir8  C_ D%_ E%_ G_ A%_ C' D%' E%' 8 save-scale
: balinese selisir8  load-scale ;

create chinese8  C_ E_ F#_ G_ B_ C' E' F#' 8 save-scale
: chinese chinese8 load-scale ;

create mongolian8  C_ D_ E_ G_ A_ C' D' E' 8 save-scale
: mongolian mongolian8 load-scale ;

create yu8-approx A_ C' D' E' G' A' C'' D'' 8 save-scale
: yu-approx  
  cr ." Yu is a Chinese pentatonic scale that uses non-western note frequencies."
  cr ." This scale approximates it using western notes."
  cr ."   A_ C' D' E' G'    A' C'' D'' "
  yu8-approx load-scale ;

\  EXOTIC SCALES have non-western FREQUENCIES

\ e.g. scales with intervals shorter than a half-step: https://www.guitar9.com/column/why-does-scale-sound-exotic
\ Sruti (Indian)
\ Jins (Arabic)

\ CHINESE SCALES:  Nanyin performance: http://2centsmusic.blogspot.com/2011/05/nanyin.html
\ Theory: https://web.archive.org/web/20131009041743/http://2centsmusic.blogspot.se/2011/04/tonality-and-scales-in-chinese-music.html
\ Yu scale on Huang Zhong base freq ( Why Don't you come back... and Fire on the Mountain)

\ TODO: ? the 5 celestial harmonies ?

create yu8  yu-root save-exotic-scale
: yu  yu8 load-scale ;
\ shang from note 4 is like yu but higher
create shang8  shang-root save-exotic-scale
: shang  shang8 load-scale ;
\ gong is like the western scale, starting at D, but with different base frequencies, and skipping C F the undecorated notes in d%maj (5 flats)
create gong8   gong-root save-exotic-scale
: gong   gong8 load-scale ;
\ Jue from note 3 is like yu but higher
create jue8  jue-root save-exotic-scale
: jue  jue8  load-scale ; 
\ Zhi from note 2 is like yu
create zhi8  zhi-root save-exotic-scale
: zhi  zhi8  load-scale ;


\ ================ APPLICATION - string instrument tunings
\ Instrument tunings: https://onlinetonegenerator.com/tuning.html
create guitar6  E__ A__ D_ G_ B_ E' 6 save-scale 
: guitar  
    cr ." Guitar tuning: E__ A__ D_ G_ B_ E' "
    cr ."  (Every Awesome Duck Gives Big Eggs)"
    cr    
    guitar6 load-scale ;
create bass4    E___ A___ D__ G__ 4 save-scale  \ first 4 are bass strings, 1 octave lower than the bass of a 6-string guitar
: bass    
    cr ." Bass tuning: E___ A___ D__ G__ " 
    cr ."   (Every Awesome Duck Gives)"
    cr
    bass4   load-scale ;
create ukelele4 G_ C_ E_ A_ 4 save-scale     \ top G(4) C(3) E(2) A(1) highest - soprano/concert ukelele, next 4 are given an octave higher
: ukelele  
    cr ." Ukelele tuning: G_ C_ E_ A_ "
    cr ."  (Gorgeous Camels Eat Ants)"
    cr 
    ukelele4 load-scale ;
create violin4  G__ D_ A_ E' 4 save-scale   \ first note is lowest string of viola, then violin 4 notes
: violin  
    cr ." Violin tuing: G__ D_ A_ E' "
    cr ."   (Generally Divas Are Exasperating)"
    cr 
    violin4 load-scale ; 
create cello4  C___ G___ D__ A__ 4 save-scale \ cello are an octave lower than viola, same notes.  Cellos are in the same octave as bass guitar
: cello  
    cr ." Cello tuning: C___ G___ D__ A__ "  
    cr ."   (Considerate Guys Drive Audis)"
    cr  
    cello4 load-scale ;
: viola    \ viola is cello an octave higher
    cr ." Viola tuning: C__ G__ D_ A_ "
    cr ."   (Considerate Guys Drive Audis)"
    cello 12 transpose-scale load-scale ;
\ Harmonica tunings are particularly complicated as they feature blow and draw notes that are different!
\ https://theharmonicacompany.com/harmonica-tunings-explained/?v=79cba1185463

\ ------------------------------------
: help-scales
  cr ." Scales (help-scales)"
  cr ." --------------------"
  cr ." Scale creation:"
  cr ."    create <scale-name> <notes> nlen<14  save-scale"
  cr ."    <scale-name> semi# transpose-scale"
  cr ."    load-scale"
  cr ." Scale library:"
  cr ."    Western scales: (Flats - BEADG)"
  cr ."         cstd (0flat) fmaj (1flat) b%maj (2flats) e%maj (3flats)"
  cr ."         a%maj (4flats) d%maj (5flats)"
  cr ."         4flats-stairway  5flats-dream"
  cr ."         cmaj dmin"
  cr ."    Non-Western scales (equitempered)"
  cr ."         irish phyrigian algerian balinese chinese mongolian yuG-approx "
  cr ."         Indian (8): bhairav, asavari, bhairavi, kafi, khamaj, kalyan, purvi, todi"
  cr ."         Arabic: jins-hijaz jins-kurd jins-lami"
  cr ."    Exotic Frequencies (different base frequencies)"
  cr ."         Chinese (5): yu yu-1(*) shang gong jue zhi"
\ TODO: Are the Chinese exotic frequencies based on quarter tones??
\ TODO: Add Arabic quarter tone scales
;

help-scales


\ ============================================
\ V5 2021-08-17---Tue---21:23 - encoded Chinese scales directly into frequency tables, added many exotic scales
\ V6 2021-09-04---Sat---08:10 - made consistent with major revision of how scales are entered.  Streamlined instrument tunings to be only those notes (4,6 etc)


\ TODO: light up scales on normal piano board
\ TODO: add quarter tone scales for arabic music!

