\ 3iSongs.fs  - Assad Ebrahim - 2021-09-06---Mon---01:16 (extracted from SongList.fs)

\ ================== PLAYLIST ==================
\ Design: each piece must end on the same octave that started, otherwise the LEARN mode will start off on the wrong octave after [writesong]

\ Classical Pieces
\ https://www.youtube.com/watch?v=VfPGNafN8K8
\ https://www.google.com/search?client=firefox-b-d&q=simple+classical+tunes

: new-harp  \ 0 [transpose]  8 uniqs
    cr ." Y Delyn Newydd - The New Harp (Trad. Welsh)"
    cr ."    ... considered a Welsh Polka, with two others forming a trio: Pwt-ar-y-bys and Pant Corlan yr Wyn"
   120 setbeat 
   cstd
   3 2 1 2 3 // // 5 // 5 // 4 // 4 ///
   4 3 2 3 4 // // 6 // 6 // 5 // 5 ///
   3 2 1 2 3 // // 5 // 5 // 4 // 4 ///
   4 3 2 // // 4 3 2 // // 3 1 1 ///
   8 // 7 // 6 // 5 // //
   8 // 7 // 6 // 5 // //
   8 // 7 // 6 // 5 // 4 // 3 // 2 ///
   7 // 6 // 5 ///
   7 // 6 // 5 /// 
   7 // 6 // 5 // 4 // 3 // 2 // 1 ///
117
; 


: ode   \ 0 [transpose], 8 uniqs
    cr ." Ode to Joy, by Ludwig van Beethoven, Symphony No. 9 in D Minor, Op 125 (1822)"
    cr ."    ... this was the final complete symphony by Beethoven 3 years before his death"
    cstd
    160 setbeat
    3 3 4 5 5 4 3 2 1 1 2 3 3 // 2 2 ///
    3 3 4 5 5 4 3 2 1 1 2 3 2 // 1 1 ///
    2 2 3 1 // 2 3 4 3 1 // 2 3 4 3 2 1 2 << 5 >> ///
    3 3 4 5 5 4 3 2 1 1 2 3 2 // 1 1   ///
73
;

\ Bach: Jesu, Joy of Man's Desiring  (Jesu, bleibet meine Freude) BWV 147/10, Last chorus of the cantata Herz und Mund und Tat und Leben BWV 147, 14:13
\ History and Evolution: https://artandtheology.org/2017/12/17/the-evolution-of-jesu-joy-of-mans-desiring/
\ https://www.youtube.com/watch?v=6ZKGD2IIhjk
\ Cello, Guitar Duo: https://www.youtube.com/watch?v=KialZHRdD7A
\ Piano (liquid legato): https://www.youtube.com/watch?v=uKq5IcBFyeQ
\ Organ: https://www.youtube.com/watch?v=2uXn6nDN7ck    
\ Jesus, joy of man's desiring 
\ Holy wisdom, love most bright 
\ Drawn by Thee, our souls aspiring Soar to uncreated light 
\ Word of God, our flesh that fashioned 
\ With the fire of life impassioned 
\ Striving still to Truth unknown Soaring, dying 'round Thy throne
: jesu-c  \ 0 [transpose] 8 uniqs
  cr ." Jesu Joy of Man's Desiring, by Johann Sebastian Bach, 1723"
  cstd
  140 setbeat
  1 2 3 5 4 4 6 5 5 8 7 8 5 3 1 2 3 4 2 << 7  5 6 7 >>
  1 2 3 5 4 4 6 5 5 8 7 8 5 3 1 2 3 4 5 6 5 3 2 << 5 >> 1 << 7 >> 1
  56
;

: jesu-g  \ 0 [transpose]
  cstd
  140 setbeat
  5 6 7 >> 2 1 1 3 2 2 5 4# 5 2 << 7 5 6 7 8 6 5 2 5 4# 5
  26
;

: jesu-loop  begin jesu-c watch jesu-g watch key? until ;  \ BUG!!! Why is there a slight pause in between songs?  Is it stack load delay?


: classic1  
cstd
  >> 5 // 1 2 3 4 5 // 1 // 1 // 6 // 3 4 5 6 7 8 // 1 // 1 // 
  4 // 5 4 3 2 3 // 4 3 2 1 2 // 3 2 1 << 7 8 ///
47 
;


\ Fur Elise
\ https://www.sheetmusicdirect.com/en-US/se/ID_No/433968/Product.aspx
: elise  \ 0 [transpose], 12 uniqs
  cstd
  140 setbeat
  >> 3 2# 3 2# 3 << 7 >> 2 1 << 6
  << 3 6  >> 1 3 6 7     3 5# 7 >> 1 //
  3 2# 3 2# 3 << 7 >> 2 1 << 6
  << 3 6  >> 1 3 6 7     3 >> 1 << 7 6 ///
  
  7 >> 1 2 3 << 3 >> 4 3 2 << 3 >> 3 2 1  << 3 >> 2 1 << 7 >> 3 3 3 3 

  3 2# 3 2# 3 << 7 >> 2 1 << 6
  << 3 6  >> 1 3 6 7     3 5# 7 >> 1  ///
  3 2# 3 2# 3 << 7 >> 2 1 << 6
  << 3 6  >> 1 3 6 7     3 >> 1 << 7 6 /// 
136
;


\ Canon in D, by Johann Pachelbel  00:00 - 4:45
\ https://www.sheetmusicdirect.com/en-US/se/ID_No/103307/Product.aspx
: canon  \ -1 ntranspose
  cstd
  170 setbeat
  4 /// 6% /// 4 /// 2% ///  4 /// 2% /// 4# /// 5# ///
  >> 4 /// 3% /// 2% /// 1 << /// 7% /// 6% /// 7% /// 8 8# ///
  >> 4 /// 3% 5% 4 3% 2% 1   5% 6% /// << 
48
;

: toccatta 
cr ." Toccata in D minor, by Bach"
  6 /// 5 4 3 2 2% /// 2 ///
;

\ Beethoven: Moonlight Sonata


\ FAMOUS POP TUNES

: memory  \ 0 [transpose], 10 uniqs
    cr ." Memory (from the musical Cats), by Andrew Lloyd Weber, first sung by Elaine Page (1981), also covered by Barbara Streisand (1981)"
    cr ."    ... the song is sung by the cat Grizabella"
    160 setbeat
    cstd
    8 // 8 //
    7 8 >> 2 << 8 6 8 // 8 //
    7 8 >> 2 << 8 5 6 // 6 //
    4 5 6 5 4 3 ///
    3 5 5 // 2      //
    3 4 5 6 7 8 7 6 5 ///
    3 // 1 5 ///
    << 6 6 >> // 1 1 ///
62
;

\ EXAMPLE of how use of scales allows converting a "difficult" piece requiring use of chromatic (13-note) scale into something simpler using a different diatonic (8-note) scale
: stairway-std
  cstd
  4 5 6% 5 4 5    //
  4 5 6% 7% 6% 5  // 
  6% 7% 8 7% 6% 5 4 3% 3% 4 4  ///
  4 >> 1# << 8 ///
32
; 

: stairway-alt  \ using the black keys
  cstd
  3% 4 5% 4 3% 4
  3% 4 5% 6% 5% 4 
  5% 6% 7% 6% 5% 4 3% 2% 2% 3% 3%
  3% 7 7%
26
;  


: stairway
cr ." Switching to D% major (5-flats) scale starting at A" cr 500 ms
  4flats-stairway \ slid down one note to hit the "alarmed now", 8 uniqs
  140 setbeat
   
   3 // 4 // 5 // 4 3 4   // \ there's a lady who's sure
   3 4 5 6 5 4   // \  all that glitters is gold
   5 6 7 6 5 4 3 2 2 3 3  // \ and she's buying a stairway to heaven
   3 8 7 ///

   3 4 5 4 3 4  // \ when she gets there she'll know
   3 4 5 6 5 4  // \ if the stores are all closed
   5 6 7 6 5 4 3 2 2 3 3  // \ with a word she can get what she came for
   3 8 7 ///

   5 // 7 6 // 6 5 4 5 3  \ oooo 
   3 4 5 6 7 6 5 4 3 2 2 3 3  /// \ and she's buying a stairway to heaven

///

\ Verse 2   
   3 4 5 4 3 4   // \ there's a sign on the wall
   3 4 5 6 5 4   // \  but she wants to be sure
   5 6 7 6 5 4 3 2 2 3 3  // \ cause you know sometimes words have two meanings
   3 8 7 ///

   3 4 5 4 3 4  // \ in a tree by the brook
   3 4 5 6 5 4  // \ there's a songbird who sings
   5 6 7 6 5 4 3 2 2 3 3  // \ sometimes all of our thoughts are misgiven
   3 8 7 ///

   5 // 7 6 // 6 5 4 5 3  \ oooo 
   3 4 5 6 7 6 5 4 3 2 2 3 3  /// \ and she's buying ... heaven
  ///

   7 6 5 6 3 3 2 3 5  // \ if there's a rustle ...
   3 3 2 3 1  //   \ don't be alarmed now 
   5 5 7 6 5 4 // 2 5 2 3 /// \ it's just a spring clean for the may queen

   7 6 5 6 3 3 2 3 5 //  \ dear lady ...
   3 2 3 1 //  \ and do you know ...
   5 5 7 6 5 3 // 5 2 2 3 /// \ ... whispering wind   
   /// 
   
   5 // 7 6 // 6 5 4 5 3  \ oooo 
   3 4 5 6 7 6 5 4 3 2 2 3 3  /// \ and she's buying ... heaven
  ///

   5 /// 6 /// 7 /// //
   6 /// 5 /// 4 /// 5 /// 4 ///
   2 // 5 // 2 // 3  /// \ and she's buying ... heaven
279
;

\ also works in the 5flats scale (D% major), starting with note 2
\ also works in cstd starting with note 2 D without any sharps or flats


\ abba I have a dream
: dream   \ or 1 flat (F major)  \ -1 [ntranpose] or 11 [ntranspose],   10 uniqs
cr ." I have a dream, by Abba"
cr ." Switching to D% major (5-flats) scale starting at A" cr 500 ms
    5flats-dream
1 // 6 // 5 7 ///
1 // 4 // 3 4 ///
1 // 6 // 5 7 ///
5 // 4 3 4 ///
6 // 7 8 >> // 2 1 << 5 ///
5 // 6 7 // 8 6 ///
6 // 7 8 >> // 2 << 8 5 ///
5 // 6 7 // 8 6 ///
>> 1 // 2 3 // 4 3 << 7 ///
7 8 >>  2 3 2 // 1 << 7 // 6 8 8 ///
>> 1 // 2 3 // 4 3 << 7  /// 
7 8 >> 2 3 2 // 1 << 7 // 6 8 8 // 
1 // 6 // 5 7 ///
1 // 4 // 3 4 ///
131
; 

\  dream  watch
\  songlen@ 11 ntranpose


\ YU -- I see Fire by Ed Sheeran
: fire  \ 0 [transpose], 7 uniqs
160 setbeat
yu8-approx 5 1 cycle-scale  \ starts on key 2 (A_)
2 // 3 4 5 // 4 3 3 2 1 2 ///   \  ohhhh  misty eye ...
2 // 3 4 5 // 4 3 // 3 4 4 ///
2 // 3 4 5 7 // 6 5 4 // 5 4 3 4 3 ///
2 // 3 4 5 4 3 4 // 3 2 1 2 ///
57
;

: hallelujah  \ 0 [transpose], 11 uniqs
cr ." Hallelujah, by Leonard Cohen"
cstd
  3 // 5 // 5 5 // 5 6 6 6 ///
  3 // 5 // 5 5 // 5 5 6 6 6 ///
  6 6 // 6 6 // 6 // 5 5 3 5 5 ///
  3 4 5 // 5 5 // 5 6 // 6 7 ///
  8 8 8 8 8 8 8 8 >> 2 ///
  2 2 2 // 2 // 2 3 3 3 2 2 1 << ///
  
  3 5 6 // 6 // 
  6 5 3 // 3 // 
  3 5 6 // 6 // 
  6 5 3 /// 4 3 2 /// 1 1 ///

  3 5 6 // 6 //
  6 5 3 // 3 // 
  3 5 6 // 6 // 
  6 5 >> 3 // 4 3 2 // 1 << ///
137
;

: wings \ 0 [transpose], 11 uniqs
    cr ." Wind Beneath my Wings, Bette Midler (1988)"
    cr ."   ... Written 1982 by Jeff Silbar/Larry Henley."  
    cr ." Midler recorded it in 1988 and it went on to become #1 in US, #3 in UK, and sell over a million copies"
    cstd
    << 5 >> 3 // 4 5 4 3 2 1 1 // << 5 6 >> ///
    << 5 >> 3 // 4 5 4 3 2 1 1 ///
    3 4 3 2 1 1 3 2 //
    << 7 7 // 7 6 5 >> ///
    4 3 4 3 2 1 3 2 /// 

    << 5 >> 3 // 4 5 4 3 2 1 1 // << 5 6 >> //
    << 5 >> 3 // 4 5 4 3 2 1 1 ///
    4 3 4 3 2 1 3 2 /// 
    << 7 7 // 7 6 5 >> ///
    4 3 4 3 2 1 6 5 /// 
        
    1 // 6 7 8 7 6 5 4 5 // 3 ///
    1 // 6 7 8 7 6 5 4 5 // 
    1 // 6 7 8 7 6 5 4 5 // 3 2 1  //
    << 5 >> 2 3 4 3 2 1 << 7 >> 1 //
169 
; 

: room   \ 0 [transpose] or 3 [transpose] or 4 [transpose] or ** 5 [transpose],  6 uniqs
cr ." In My Room, by The Beach Boys"
180 setbeat 
cstd
  2 2 3 2 4# 4# 5 4# 6 6 7 5 6 ///
  6 4# 3 /// 
  5 4# 2 ///
22
;
   
\ desert-rose 


: the-rose \ 1 ntranspose, starts on F instead of E
cr ." The Rose, by Bette Middler"
cstd
3 4# 3 5#           ///     \ some say love
5# 6 5# 5# 4#       ///     \ it is a river
4# 3                ///     \ that drowns
3 4# 5# 5#          ///     \ the tender reed

3 4# 3 5#           ///     \ some say love
5# 6 5# 5# 4#       ///     \ it is a razor
4# 3                ///     \ that leaves
3 4# 5# 5#          ///     \ your soul to bleed

5# 6 5# 7           ///     \ some say love
7 7 7 7 3           ///     \ it is a hunger
5# 6 5# 4# 3 1# << 7 >> /// \ an endless aching need

3 4# 3 5#           ///     \ i say love
5# 6 5# 5# 4#       ///     \ it is a flower 
4# 3                ///     \ and you
3 4# 3 3            ///     \ it's only seed

7 >> 1# << 7 >> 3   ///     \ when the night 
3 4# 3 3 2#         ///     \ has been too lonely
2# 1# 1#            ///     \ and the road
1# 2# 3 3 << 7      ///     \ has been too long

7 >> 1# << 7 >> 3   ///     \ when you think
3 4# 3 3 2#         ///     \ that love is only
2# 2# 2# 1#         ///     \ for the lucky
2# 3 3 <<           ///     \ and the strong

2# 3 4# 4#          ///     \ just remember
4# 4# 4# 1#         ///     \ in the winter
2# 2# 3             ///     \ far beneath
2# 1# << 7 5# 4#    ///     \ the bitter snow

7 >> 1# 2#          ///     \ lies the seed
2# 3 2# 2# 1#       ///     \ that with the sun's love
1# << 7 7           ///     \ in the spring
7 >> 1# << 7 7 >>   ///     \ becomes the rose
172
;

: green-day  \ 0 [transpose], 3 uniqs
cstd
  5 7 8 7   5 7 8 7   5 7 8 7  5 // 5 5
16
;

: star-wars  \ 0 [transpose], 6 uniqs
cstd
    1 // 5 // 4 3 2 8 /// 5 //  4 3 2 8 /// 5 // 4 3 4 2 ///
  1 1 // 5 // 4 3 2 8 /// 5 //  4 3 2 8 /// 5 // 4 3 4 2 ///
47
;

: top-gun  \ 0 [transpose], 12 uniqs
cstd
  1 5 5 // 4 3 4 3 2 2 // 1 2 3 2 3 4 3 1 3 2 ///
1 1 5 5 // 4 3 4 3 2 2 // 1 2 3 2 3 4 3 1 5 ///
  1 2 3 4 5 6 7 >> //
  1 5 5 // 4 3 4 3 2 2 // 1 2 3 2 3 4 3 1 3 2 ///
1 1 5 5 // 4 3 4 3 2 2 // 1 2 3 2 3 4 3 1 5 ///
97
;

: rainbow   \ 0 [transpose], 9 uniqs
    cr ." Somewhere over the Rainbow, by Izzy Kamakoele"
    1 // 8 // 7 5 6 7 8 //
    1 // 6 5 ///
    1 // 4 // 3 1 2 3 4 // 2 << 7 8 >> 2 3 1 ///
34
; 

: letitgo \ , 13 uniqs
cr ." Let It Go, from Frozen, by Idina Menzel"
cstd
6 6 6 // 6 6 6 5 4 4 // 
4 4 5 5 // 5 4 2 ///
2 6 6 6 6 8 8 6 //
5 4 5 5 // 5 4 5 ///

6 6 8 >> 2 1 << 6 8 8 8 7% 6 7% 6 ///
6 5 4 5 // 5 6 5 4 2 ///

5 5 8 8   // 5 5 >> 2 2  ///
2 1 2 2 // 2 2 3 4 3 3 << /// 
5 5 8 8 //   5 5 >> 2 2 ///

2 2 3 4 ///
2 3 4 // 1 1 5 ///
4 5 6 6 // 7% 6 5 4 ///
8 6 5 // 4 4 8 8 6 7% 6 ///
6 6 5 1 8 ///
4 4 3 4 4 4 4 1 1 //
151
;

: reason \ 0 [transpose], 11 uniqs
    cr ." Just Give Me a Reason, by Pink and Nate F."
    cstd
    6 6 6 6 // 4 5 6 7% 7% 7% 7% 4 ///  \ Right from the start ...
    4 >> 2 /// 2 1 // << 4 6 6  ///
    4 6 6 6 6 6 4 5 6 7% 7% 7% 4 4 ///  \  I let you see...
    4 4 >> 2 /// 2 1 // << 4 6 6 ///
    
    4 >> 4 4 4 3 2 // 5 // 3 // 1 //  4 // 1  ///  \ Now you've been having ...
         4 4 4 3 2 // 5 // 3 // 1 //  4 // 1  ///
       1 4 4 4 3 2 // 5 // 3 // 1 //  4 // 1 // << 7% /// 6 /// 5 /// 6 /// 7% ///
    
    >> 6 6 4 4 1 1 //  \ Just give me a reason ... 
    6 6 5 5 3 3 1 //
    5 5 4 4 4 4 4 3 2 3 // 
    1 1 1 7% 6 5 4 6 
    
    4 4 1 1 //   \  it's in the stars...
    6 6 5 5 3 3 1 // 
    5 5 4 4 4 4 4 3 2 3 // 
    1 1 1 7% 6 5 4 4 // 
    << 
185
;

\ TRADITIONAL

: daffodils  \ 0 transpose or 2 ntranspose] or ** 7 ntranspose, 8 uniqs
    cr ." I Love the Daffodils (English Trad.)"
    cr ."    ... This can be sung as a round, with the second singer starting on the 3rd phrase"
160 setbeat
    cstd
    4 4 3 2 3  // 
    5 5 4 3 4 5 // 
    6 6 5 4 6 // 
    7% 7% 6 5 6 7% // 
    8 8 7% 6 4 7% 6 5 4 3 // 
    1 2 3 4 4 3 2 2 2 5 5 4 3 // 
    1 2 3 4 4 3 2 2 2 5 5 4 3 ///
65
;

: scarborough  \ 2 ntranspose, 9 uniqs
  cr ." Scarborough Fair, English Traditional"
  160 setbeat
  cstd
  1 /// 1 // 5 5 // 5 2 3% 2 1 ///
  5 7% 8 // 7% 5 6 4 5 ///
  8 8 // 8 7% // 5 5 4 3% 2 1 ///
  1 // 5 4 // 3% 2 1 << 7% >> 1 ///
49
;  

: lavender  \ 0 ntranspose, 6 uniqs
cr ." lavender blue"
140 setbeat
cstd
  1 // 5 // 5 // 5 // 4 3 2 1  // 1 // 6 // 6 // 6 ///
  1 // 5 // 5 // 5 // 4 3 2 1  // 4 // 3 // 2 // 1 ///

  1 // 5 // 5 // 5 // 4 3 2 1  // 1 // 6 // 6 // 6 ///
  1 // 5 // 5 // 5 // 4 3 2 1  // 4 // 3 // 2 // 1 ///
84
;

: cockles \ 0 ntranspose, 6 uniqs
cr ." cockles and mussels"
170 setbeat
cstd
    << 5 >> // 1 1 // 1 // 1 3 /// 1 1 // 2 /// 2 2 // 2 4 ///
    2 // 3 3 3 5 4 3 //  3 2 // 1 2  ///
    << 5 5 >> 1 // 1 1 // 1 3  /// 1 // 2 // 2 2 // 2 4 ///
    3 1 5 3 // 1  // 5 3 //
    1 // 2 // 3 2 // 1 ///
79
;

\ ETHNOMUSIC

: sea  \ 2 ntranspose, 10 uniqs
\ try irish key
 cr ." Song of the Sea, by Lisa Hannigan"  \ https://en.wikipedia.org/wiki/Selkie
 cr ." From sountrack of the Irish animated film (2014) about a Selkie child and her brother."
  170 setbeat
  cstd
     1 /// 1 5 /// 5 6 4 5 ///
     1 /// 1 5 /// 5 6 4 // 8 7% 6 5 ///
  >> 1 /// 1 /// 2 // 3% // 4 3% 2 ///
     1 /// 1 // 2 // 3% // 4 3% 5 << ///
     1 /// 1 5  // 5 6 4 5 ///
     1 /// 1 5  // 5 6 4 // 8 7% 6 5 ///
73
;



: morning  \ 0 ntranspose, 9 uniqs
    cr ." Morning Has Broken, by Cat Stevens"
170 setbeat
cstd
    1 3 5  >> 1 /// 2 << ///
    7 // 6 5 // 6 // 7 6 5 /// 
    1 3 5 // 5 /// 6 ///
    5 // 3 1 2 ///

    5 3 5 8 /// 6 ///
    5 3 1 1 // << 6 >> 1 2 // 
    
    3 2 3 5 /// 6 /// 
    2 3 // 2 1 /// 
65
;


\  PERSONAL COMPOSITIONS
\ Assad Ebrahim - Composition - 2020-06-28---Sun---21:53
: AE1 
    6 >> 1 3 << 6 >> 1 3 << 6 >> 1 3 <<
    5 7 >> 2 << 5 7 >> 2 << 5 7 >> 2 <<   5 >> 3 2 1 
    3 5 6   3 8 7   3 8 7    3 8 7 6 << ;
: AE2
    6 >> 1 3 <<  6 >> 1 3 <<  6 >> 1 3 << 
    >> 3 8 7  3 8 7   3 8 7 6 <<
    6 >> 1 3 <<  6 >> 1 3 <<  6 >> 1 3 << 
    >> 8 7 5  8 7 5  8 7 5 6 <<  ;
: AE3 
    6 >> 1 3 <<  6 >> 1 3   8 7 5  8 7 5 6 << ;  \ removing the last << takes it to the next octave - cool!
    
: yearning  
cr ." Yearning, by Assad Ebrahim"
150 setbeat
cstd
ae2 ae3 ae1 ae3 
137 ;


: dreaming  \  by Meera Shah Ebrahim 2021-05-16---Sun---21:34
cr ." Dreaming, by Meera Shah Ebrahim"
170 setbeat
cstd
>> 1 2 3 3  1 2 3 3  1 2 3 2 1 << 7 
7 8 >> 2 2  << 7 8 >> 2 2  7 8 >> 2 3 2 1
3 2 1 1 << 3 2 1 1  3 2 1 2 1 << 7 
7 >> 1 2 2  << 5 7 >> 2 2 << 5 7 >> 2 3 2 1
69
;

: together   \ Together, by Jasmine Sheherazade Ebrahim
cr ." Together, by Jasmine Sheherazade Ebrahim"
cstd
8  7  8 7 8 7 8 6 6 ///
7  6  7 6 7 6 7 5 5 ///
6  5  6 5 6 5 6 4 4 ///
5  4  3 8 8 3 4 ///
38
;


: snake  \ Snake Charmer, by Assad Ebrahim
cr ." Snake Charmer, by Assad Ebrahim"
cstd
 1  // 3  4 5 ///
 5  6% 5 6% 5 6% 4  // 5 ///
 1  // 3 4 5 ///
 3  4 // 3 4 // 3 4 3 // 1 ///
   
 1  // 3 4  5 ///
 5  6% 7% 6% 5 4 5 ///
 4  3 4 3 4 3 1 ///
 
 7% 6%  7% 6%  7% 6%  5 4  5 ///
 1 // 3 4 5 ///
 3 4 3 4 3 4 3 // 1 ///
82
;


: planets  \  Planets, by Assad Ebrahim - 2020-07-10---Fri---03:32
cr ." Planets, by Assad Ebrahim"
cstd
 3 5 6 
 3 5 6 // 8 7 6 5 6 ///
 13
;


: jimmy-boy  \ Jimmy Boy, by Assad Ebrahim  2020-07-15---Wed---03:38
cr ." Jimmy Boy, by Assad Ebrahim"
 cmaj
 1 2 3 5    5 6 5 4 5       \ oh jimmy-boy!  why are you running?
 1 2 3 5    5 4 3 3 4       \ oh jimmy-boy!  what have you done?
 1 2 3 5    5 6 5 4 5       \ oh jimmy-boy!  where will you run to?
 1 2 3 4    4 5 4 3 2 3     \ oh jimmy-boy!  I fear your time has come.
37 
;

\ Assad Ebrahim - 2021-05-12---Wed---05:18
: falling
200 setbeat
cstd
cr ." Falling Down, by Assad Ebrahim"
\ this uses the pentatonic scale  5_ 7_ 1 2 4 5    g b c d f 
  2 5 4 2 1 2 ///       \ the walls came tumbling down
  << 8 7 8 7 8 7 5 /// \ falling, falling, falling down 
\ shifting to start on g
  >> 5 8 7 5 4 5 ///
   4 3 4 3 4 3 1 ///
32
;


\ CHILDRENS

: twinkle
200 setbeat
cstd
    1 1 5 5 6 6 5 ///
    4 4 3 3 2 2 1 ///
    5 5 4 4 3 3 2 ///
    5 5 4 4 3 3 2 ///
    1 1 5 5 6 6 5 ///
    4 4 3 3 2 7 8 ///  \ rise at end
    48
;

\ chords!
: twinkle-chords
majshp shp!
110 setbeat
1 "" 1 "" 1 "" 1 "" 4 "" 4 "" 1 "" 4/// ""  \ twinkle ... star
4 "" 4 "" 1 "" 1 "" 2 "" 2 "" 1 "" 4/// ""  \ how I ... you are
1 "" 1 "" 4 "" 4 "" 1 "" 1 "" 2 "" 4/// ""  \ up a ... so high
1 "" 1 "" 4 "" 4 "" 1 "" 1 "" 2 "" 4/// ""  \ like a ... the sky
1 "" 1 "" 1 "" 1 "" 4 "" 4 "" 1 "" 4/// ""  \ twinkle ... star
4 "" 4 "" 1 "" 1 "" 2 "" minshp shp! 3 "" majshp shp! 1 "" \ how I ... you' are'  (go upwards in the voice)
;


: mary
cr ." mary had a little lamb"
cstd
    3 2 1 2 3 3 3 //
    2 2 2 //
    3 5 5 ///
    3 2 1 2 3 3 3 // 1 2 2 3 2 1 ///
    31 ;

: doh
cr ." Doh a deer, Sound of Music"
cstd
    1 // 2 3 // 1 3 1 3 ///
    2 // 3 4 4 3 2 4 ///
    3 // 4 5 // 3 5 3 5 ///
    4 // 5 6 6 5 4 6 ///
    5 // 1 2 3 4 5 6 ///
    6 // 2 3 4 5 6 7 ///
    7 // 3 4 5 6 7 8 ///
    8 7 6 4 7 5 8 //
    1 2 3 4 5 6 7 8 ///
82
;

: alouette 
cstd    
    1 2 3 3 //
    2 1 2 3 1 << 5 >> ///
    1 2 3 3 //
    2 1 2 3 1 ///
    1 2 3 4 5 5 5 //
    5 6 5 4 3 2 1 ///
    5 5 5 ///
    1 1 1 ///
    5 5 5 ///
    1 1 1 ///
    5 4 3 2  // \ repeat
62
;


: row-row
cstd
    1 // 1 // 1 2 3 //
    3 2 3 4 5 ///
    8 8 // 5 5 // 3 3 // 1 1 //
    5 4 3 2 1 ///
32
; 

: london-bridge
cstd
    5 6 5 4 3 4 5 //
    2 3 4 // 3 4 5 ///
    5 6 5 4 3 4 5 //
    2 // 5 // 3 1 ///
31
;

\ jack and jill

: weasel  \ pop goes the weasel?
cstd
    1 // 1 2 // 2 3 5 3 1 ///
    << 5 >> 1 1 // 2 4 3 // 1 ///
    << 5 >> 1 1 // 2 2 // 3 5 3 1 /// 
    6 // 2 4 3 // 1 ///
    8 8 6 8 7 7 5 //
    5 8 8 6 8 7 7 5 //
    4 3 4 5 6 7 8 //
    8 // 2 4 3 1 ///
77
;
    
\ little bo peep


\ baa baa black sheep
: baa
cstd
  1 1 // 5 5 // 6 7 8 6 5 ///
  4 4 // 3 3 // 2 2 // 1 ///
  5 5 5 4 4 4 3 3 3 2 ///
  1 5 5 5 4 5 6 4 3 2 2 1 ///
47
;


: frere 
cr ." frere jacques"
cstd
     1 2 3 1 //  1 2 3 1  //
     3 4 5   /// 3 4 5    ///
     5 6 5 4 3 1 //  5 6 5 4 3 1 //
     1 << 5 8 ///  8 5 8 >> ///
42
;


: robin-hood
160 setbeat
cstd
    2 // 2 // 2 // 3 4 5 // 5 // 5 //
    6 7 8 // 5 // 5 6 5 4 3 // 1 //
    5 // 1 1 1 3 4 5 5 5 //
    6 7 8 // 5 // 5 6 5 4 3 1 //
    5 6 // 6 // 6 // 5 4 3 4 5 6 5 //
    6 7 8 // 5 // 5 6 5 4 3 /// 1 //
81
;

\ bonnie lies over the ocean
: bonnie
180 setbeat
cstd
    1 6 5 4 5 4 2 1 << 6 >> ///
    1 6 5 4 4 3 4 5   ///
    1 6 5 4 5 4 2 1 << 6 >> ///
    1 2 5 4 3 2 3 4  ///
    
    1 /// 4 // 3 2 /// 5 // 4 3 3 3 3 2 3 4 // 5 6 ///
    1 /// 4 // 3 2 /// 5 // 4 3 3 3 3 2 3 4 ///
81
;

: bday \ 8 uniqs
160 setbeat
cstd
    1 1 2 1 4 3 ///
    1 1 2 1 5 4 ///
    1 1 8 6 4 3 2 ///
    7% 7% 6 4 5 4 ///
29
;


\ old macdonald



: uk-anthem  \ 7 ntranpose, 7 uniqs
cr ." My Country Tis and UK National Anthem God Save Our Queen"
220 setbeat
cstd
    4 4 5 3 // 4 5 //
    6 6 7% 6 // 5 4 //
    5 4 3 4 // 
    4 5 6 7% //
    8 8 8 8 // 7% 6 //
    7% 7% 7% 7% // 6 5
    6 // 7% 6 5 4 6 // 7% 8 
    >> 2 << 7% 6 // 5 // 4 ///
61
; 

\ star spangled banner
: USA \ -5 ntranspose, 11 uniqs
cstd
    8 6 4 // 6 // 8 // >> 4 ///
    6 // 5 4 << //
    6 7% 8 ///
    8 8 >> 6 // 5 4 3 ///
    2 3 4 // 4 // 1 // << 6 // 4 ///
    8 6 4 // 6 8 >> 4 ///
    6 5 4 // << 6 7% 8 ///
    8 8 >> 6 /// 5 4 // 3 ///
    2 3 4 // 4 // 1 // << 6 // 4 ///
    >> 6 6 6 // 7% 8 8 /// 
    7% 6 5 // 6 7% 7% ///
    7% // 6 // 5 4 3 ///
    2 3 4 << 6 7% 8 ///
    8 // >> 4 // 4 // 4 3 2 // 2 // 2  // 5 6 7% 6 5 4 4 /// 3 ///
    1 // 1 4 // 5 6 7% 8 ///
    4 5 6 // 7% // 5 // 4 /// <<
163
;     

\ Kenyan Anthem

\ AMERICAN FOLK SONGS

\ swing low sweet chariot
: chariot
cstd
    6 4 /// 6 4 // 4 2 1 ///
    4 4 4 5 6 6 8 // 8 ///
    >> 2 << 8 6 /// 8 4 // 4 2 1 ///
    4 4 4 5 6 6 5 // 4 ///
43
;

\ yankee doodle

\ michael finnegan
: finnegan
cstd
    1 // 4 4 4 4 // 6 8 8 // 6 5 4 ///
    5 5 5 5 4 5 // 3 2 1 ///
    4 // 4 4 4 // 6 8 8 // 6 5 4 ///
    5 5 1 1 4 4 4  // 1 4 4 4 ///
53
;

: home  \ 7 ntranspose, 8 uniqs
\ or 1 flat in the scale of F major
cr ." Home on the Range"
cstd
  1 1 4 5 6 //  \ oh give me a home ... 
  4 3 2 // 7% 7% 7% //
  6 7% 8 // 4 4 4 3 4 5  ///
  1 1 1 4 5 6 //
  4 3 2 // 7% 7% 7% ///
  7% 7% 6 // 5 4 3 // 4 5 4 ///
  
  8 // 7% 6 // 5 6 ///
  1 1 // 4 // 4 4 4 3 4 5 ///
  1 1 1 4 5 6 //
  4 3 2 // 7% 7% 7% ///
  7% 7% 6 // 5 4 3 4 5 4 ///
98
;

\ america the beautiful

    
\ drunken sailor


: susanna  \ 1 ntranspose
cr ." O Susanna!"
120 setbeat
cstd
    4# 5# 6# >> // 1# 1# // 2# 1# << 6# 4# 5# 6# 6# 5# 4# 5# ///
    4# 5# 6# >> // 1# 1# // 2# 1# << 6# 4# 5# 6# 6# 5# 5# 4# ///
40
;    

\ she'll be coming round the mountain
: mountain \ 1 ntranspose
120 setbeat
cstd
    1# // 2# // 4# 4# 4# 4#  2# 1# 1# 2# 4# ///
    4#  5#   //   6# 6# 6# 6# 8# 6# 5# 4# 5# ///
    8# 8#    // 6# 6# 6# 6# 5# 4# /// 
    2#  2#      2# 2# 6# 6# ///
    6#  6#      6# 6# 5# 5# 6# 5# 4# ///
54
;

\ naussau


: cowboy  \ 2 ntranpose
180 setbeat
cr ." Cowboys Lament, folk song, covered by Johnny Cash"
\ https://en.wikipedia.org/wiki/Bury_Me_Not_on_the_Lone_Prairie
cstd
\ alt: Chinese yu scale
  1 /// 3% 3% // 5 // 7% ///  \ oh bury me not...
  8 7% 5 // 3% // 5 ///
  1 1 // 3% 5 4 ///
  5 4 3% // 1 3% ///
31
;  

: betsy  
160 setbeat
cr ." Sweet Betsy From Pike"
cstd
  1 1 3 5 5 4 2 2 1 << 7 >> 1 ///  \ oh do you remember ... 
  1 1 3 5 8 8 8 8 5 5 5 ///
  5 8 8 8 7 5 3 4 5 6 5 ///
  1 2 3 3 3 5 4 2 2 1 << 7 >> 1 ///
53
; 

: smokey   \ note - this is the basis for "Oh Where O Where Can My Baby Be"
180 setbeat
cr ." On Top of Old Smokey"
cstd
  1 1 3 5 8 ///  6 ///
  6 4 5 6 5 ///
  1 1 3 5 5 /// 2 ///
  3 4 3 2 1 ///

  1 1 3 5 8 /// 6 ///
  6 4 5 6 5 ///
  1 1 3 5 5 /// 2 ///
  3 4 3 2 1 ///
56
;


: silent-night  \ 2 ntranpose
180 setbeat
cstd
    4 // 5 4 2 ///
    4 // 5 4 2 ///
    7% // 7% 5 /// 
    6 // 6 4 ///
    5 // 5 7% // 6 5 // 4 // 5 4 // 2 ///
    5 // 5 7% // 6 5 // 4 // 5 4 // 2 ///
    >> 1 // 1 3% // 1 << 6 // 7% // >> 2 ///
    << 7% 4 2 4 // 3% 1 // << 7% /// >>
80
;

\ jingle bells

\ JASMINE SECTION

: iris
2 2 6 6 6 5 // 4# 2 3 ///
11
;

: mo-mem
cr ." Mountain of memories, by Jasmine Sheherazade Ebrahim"
;



: fernando ;

\ axle-f

\ chopstix

\ snoopy

\ : silence ;

: bridge ;

    
\ chords
: A.::  a_ c' e' ;


\ ======================================

: playlist  \ 55 songs
cr 
cr ."  PLAYLIST (55 tunes)"
cr ."  -------------------"
cr ."  *new-harp   *ode          *jesu-c      jesu-g      jesu-loop    elise"
cr ."  *memory     *stairway     *dream       fire        hallelujah   *wings"
cr ."  room        green-day     star-wars    *top-gun    rainbow      letitgo"
cr ."  *reason     *the-rose"
cr ."  *daffodils  *scarborough  *lavender    *cockles    sea          *morning"
cr ."  yearning    dreaming      tog          snake       planets      jimmy-boy"
cr ."  falling"
cr ."  twinkle     mary          doh          alouette    row-row      london-bridge"
cr ."  weasel      baa           frere        robin-hood  bonnie       bday"
cr ."  uk-anthem   usa"
cr ."  chariot     finnegan      home         susanna     mountain     cowboy"
cr ."  betsy       smokey        silent-night"
cr
;

playlist
